//-----------------------------------------------------------------------------
// Title      : bsp_ub035_mk3_ext_pcf8583
//-----------------------------------------------------------------------------
// Funktion   : Externes TWI-Modul : RealTimeClock
// Schaltung  : myAVR MK3 + PCF8583
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 20.11.2010
// Version    : 1.1
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_ext_module/EXT_TWI_PCF8583.h>
#include <ub_mk3_2560/MK3_2560_LED.h>

//-----------------------------------------------------------------------------
// Hinweis :
// > Quick-Jumper Port-L muss gesetzt sein
// > externes TWI-Modul muss am Stecker rechts unten angeschlossen sein
// > TWI-Port-Pins (D0+D1) werden benoetigt 			
// - das Programm liest zyklisch die Uhrzeit ein und zeigt
//   die Sekunden als Binaerwert an den LEDs an
// - bei einem Fehler wird 0x55 angezeigt
//-----------------------------------------------------------------------------
int main (void)
{
	char wert=0;
	unsigned int p=0;

	MK3_INIT_LED(); // init der LEDs
	EXT_INIT_PCF8583(); // init vom externen PCF8583

	while (true)
	{
		// auslesen der aktuellen uhrzeit
		EXT_PCF8583_READ_UHR();
		
		if(EXT_PCF8583_OK==true) {
		  // wenn alles ok
		  
		  // anzeigen des sekundenwertes
		  wert=EXT_PCF8583.sekunden;	  
		  MK3_LED_ZAHL(wert);
		}
		else {
	      // 0x55 wird als FEHLER angezeigt
	      MK3_LED_ZAHL(0x55);		
		}
		
	    for(p=0;p<60000;p++) {
		// kleine Pause
	    }

	}
	return 0;
}
//-----------------------------------------------------------------------------
